Virtual Hosting Control System 2.2/2.4 - Error Message Cross-Site Scripting

EDB-ID:

26559




Platform:

PHP

Date:

2005-11-22


Become a Certified Penetration Tester

Enroll in Penetration Testing with Kali Linux and pass the exam to become an Offensive Security Certified Professional (OSCP). All new content for 2020.

source: https://www.securityfocus.com/bid/15538/info

Virtual Hosting Control System is prone to cross-site scripting attacks.

The vulnerability arises when error messages are rendered and could let an attacker inject hostile HTML and script code into the browser session of another user in the context of the site hosting the application. This could allow for theft of cookie-based authentication credentials or other attacks. 

http://www.example.com/dev/inputvalidation%3Cscript%3Ealert(window.location.hash)%3B%3C/script%3E#XSS